Nini Library API Reference - http://nini.sourceforge.net/ |

# IniConfig Members

IniConfig overview

#### Public Instance Constructors

IniConfig Constructor | Constructor.

#### Public Instance Properties

Alias (inherited from ConfigBase) | Gets the AliasText for this instance.
ConfigSource (inherited from ConfigBase) | Returns the parent IConfigSource.
Name (inherited from ConfigBase) | Gets or sets the IConfig name. If set then it renames this config with the parent source.

#### Public Instance Methods

Add (inherited from ConfigBase) | Adds a new IConfig.
Contains (inherited from ConfigBase) | Returns true if the configuration key is present.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Get | Overloaded. Returns a key value. If the parent IniConfigSource has CaseSensitive turned on then this will return the value ignoring the case of the key name.
Get (inherited from ConfigBase) | Overloaded. Returns a string key value.
GetBoolean (inherited from ConfigBase) | Overloaded. Returns a boolean key value.
GetDouble (inherited from ConfigBase) | Overloaded. Returns a double key value.
GetExpanded (inherited from ConfigBase) | Returns the expanded string value. This method does not replace the other key values in the IConfigSource.
GetFloat (inherited from ConfigBase) | Overloaded. Returns a float key value.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetInt (inherited from ConfigBase) | Overloaded. Returns an integer key value.
GetKeys (inherited from ConfigBase) | Returns an Array of the key strings.
GetLong (inherited from ConfigBase) | Overloaded. Returns an long key value.
GetString (inherited from ConfigBase) | Overloaded. Returns a string key value.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValues (inherited from ConfigBase) | Returns an Array of all key values.
Remove | Removes a key. If the parent IniConfigSource has CaseSensitive turned on then this will remove the key ignoring the case of the key name.
Set | Sets a key value. If the parent IniConfigSource has CaseSensitive turned on then this will set the value ignoring the case of the key name.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Public Instance Events

KeyRemoved (inherited from ConfigBase) | Occurs when a key is removed.
KeySet (inherited from ConfigBase) | Occurs when a key is set.

#### Protected Instance Fields

keys (inherited from ConfigBase) |

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.
OnKeyRemoved (inherited from ConfigBase) | Raises the KeyRemoved event.
OnKeySet (inherited from ConfigBase) | Raises the KeySet event.

#### See Also

IniConfig Class | Nini.Config Namespace